/*
 * generated by Xtext
 */
package fr.irit.fiacre.etoile.xtext.ui;

import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;

import com.google.inject.Injector;

import fr.irit.fiacre.etoile.xtext.ui.internal.FiacreActivator;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class FiacreExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return FiacreActivator.getInstance().getBundle();
	}
	
	@Override
	protected Injector getInjector() {
		return FiacreActivator.getInstance().getInjector(FiacreActivator.FR_IRIT_FIACRE_ETOILE_XTEXT_FIACRE);
	}
	
}
